curl -X PUT https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99 \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": false,
"is_early_pay_enabled": true,
"early_pay_rates": "2"
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99", {
method: "PUT",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": false,
"is_early_pay_enabled": true,
"early_pay_rates": "2"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
"https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
},
json={
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": False,
"is_early_pay_enabled": True,
"early_pay_rates": "2",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99")
request = Net::HTTP::Put.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": false,
"is_early_pay_enabled": true,
"early_pay_rates": "2"
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": false,
"is_early_pay_enabled": true,
"early_pay_rates": "2"
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"full_name\": \"Jane Smith\",",
" \"abn\": \"12345678900\",",
" \"account_name\": \"Jane Smith\",",
" \"bsb\": \"012385\",",
" \"account_number\": \"1234568880\",",
" \"email\": \"jane.smith@example.com\",",
" \"phone\": \"9878888884\",",
" \"gst_registered\": false,",
" \"is_early_pay_enabled\": true,",
" \"early_pay_rates\": \"2\"",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("PUT", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": false,
"is_early_pay_enabled": true,
"early_pay_rates": "2"
}`)
req, err := http.NewRequest("PUT", "https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Put, "https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""full_name"": ""Jane Smith"",
""abn"": ""12345678900"",
""account_name"": ""Jane Smith"",
""bsb"": ""012385"",
""account_number"": ""1234568880"",
""email"": ""jane.smith@example.com"",
""phone"": ""9878888884"",
""gst_registered"": false,
""is_early_pay_enabled"": true,
""early_pay_rates"": ""2""
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Worker updated successfully",
"worker_id": "a4983f8e-b466-45ba-bdb5-f4815aa29d99"
}
Workers
Update worker
This endpoint allows you to update an existing worker’s personal, banking, and early pay details.
PUT
/
worker
/
{worker_id}
curl -X PUT https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99 \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": false,
"is_early_pay_enabled": true,
"early_pay_rates": "2"
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99", {
method: "PUT",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": false,
"is_early_pay_enabled": true,
"early_pay_rates": "2"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
"https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
},
json={
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": False,
"is_early_pay_enabled": True,
"early_pay_rates": "2",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99")
request = Net::HTTP::Put.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": false,
"is_early_pay_enabled": true,
"early_pay_rates": "2"
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": false,
"is_early_pay_enabled": true,
"early_pay_rates": "2"
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"full_name\": \"Jane Smith\",",
" \"abn\": \"12345678900\",",
" \"account_name\": \"Jane Smith\",",
" \"bsb\": \"012385\",",
" \"account_number\": \"1234568880\",",
" \"email\": \"jane.smith@example.com\",",
" \"phone\": \"9878888884\",",
" \"gst_registered\": false,",
" \"is_early_pay_enabled\": true,",
" \"early_pay_rates\": \"2\"",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("PUT", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": false,
"is_early_pay_enabled": true,
"early_pay_rates": "2"
}`)
req, err := http.NewRequest("PUT", "https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Put, "https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""full_name"": ""Jane Smith"",
""abn"": ""12345678900"",
""account_name"": ""Jane Smith"",
""bsb"": ""012385"",
""account_number"": ""1234568880"",
""email"": ""jane.smith@example.com"",
""phone"": ""9878888884"",
""gst_registered"": false,
""is_early_pay_enabled"": true,
""early_pay_rates"": ""2""
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Worker updated successfully",
"worker_id": "a4983f8e-b466-45ba-bdb5-f4815aa29d99"
}
Headers
string
default:"1.2"
required
The API version to use. Supported versions are
1.1 and 1.2.Path Parameters
string
required
The unique identifier of the worker to update.
Request Body Parameters
string
The full name of the worker.
string
The Australian Business Number (11-digit identifier) for Australian workers.
string
The name of the worker’s bank account.
string
The Bank State Branch code (6 digits, formatted as XXX-XXX or XXXXXX) for Australian bank accounts.
string
The account number of the worker’s bank account.
string
The email address of the worker.
string
The phone number of the worker.
boolean
Indicates whether the worker is registered for GST (Goods and Services Tax).
boolean
Indicates whether early pay (on-demand pay) is enabled for the worker.
string
The percentage rate (e.g. ‘2’) charged for early pay transactions. Required if
is_early_pay_enabled is true.Response Body
number
Indicates the status code of the response.
string
A message associated with the response.
string
The unique identifier of the updated worker.
Response Codes
| Code | Description |
|---|---|
| 200 | Worker updated successfully. |
| 400 | Bad Request. Invalid parameters or validation failure (e.g. invalid BSB format). |
| 401 | Unauthorized. Missing or invalid credentials. |
| 404 | Not Found. The specified workerId does not exist. |
| 500 | Internal Server Error. |
curl -X PUT https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99 \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": false,
"is_early_pay_enabled": true,
"early_pay_rates": "2"
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99", {
method: "PUT",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": false,
"is_early_pay_enabled": true,
"early_pay_rates": "2"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
"https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
},
json={
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": False,
"is_early_pay_enabled": True,
"early_pay_rates": "2",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99")
request = Net::HTTP::Put.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": false,
"is_early_pay_enabled": true,
"early_pay_rates": "2"
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": false,
"is_early_pay_enabled": true,
"early_pay_rates": "2"
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"full_name\": \"Jane Smith\",",
" \"abn\": \"12345678900\",",
" \"account_name\": \"Jane Smith\",",
" \"bsb\": \"012385\",",
" \"account_number\": \"1234568880\",",
" \"email\": \"jane.smith@example.com\",",
" \"phone\": \"9878888884\",",
" \"gst_registered\": false,",
" \"is_early_pay_enabled\": true,",
" \"early_pay_rates\": \"2\"",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("PUT", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"full_name": "Jane Smith",
"abn": "12345678900",
"account_name": "Jane Smith",
"bsb": "012385",
"account_number": "1234568880",
"email": "jane.smith@example.com",
"phone": "9878888884",
"gst_registered": false,
"is_early_pay_enabled": true,
"early_pay_rates": "2"
}`)
req, err := http.NewRequest("PUT", "https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Put, "https://qa-payments.mygigsters.com.au/api/v1/worker/a4983f8e-b466-45ba-bdb5-f4815aa29d99");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""full_name"": ""Jane Smith"",
""abn"": ""12345678900"",
""account_name"": ""Jane Smith"",
""bsb"": ""012385"",
""account_number"": ""1234568880"",
""email"": ""jane.smith@example.com"",
""phone"": ""9878888884"",
""gst_registered"": false,
""is_early_pay_enabled"": true,
""early_pay_rates"": ""2""
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Worker updated successfully",
"worker_id": "a4983f8e-b466-45ba-bdb5-f4815aa29d99"
}
Last modified on November 10, 2026
Was this page helpful?
